## node-chai 4.2.0+ds

=== Makefile ===

TESTS = test/*.js
REPORTER = dot

#
# Browser Build
#

all: chai.js

chai.js: node_modules lib/*
	@printf "==> [Browser :: build]\n"
	@./node_modules/.bin/browserify \
	 	--bare \
		--outfile chai.js \
		--standalone chai \
		--entry index.js

#
# Release Task
#

define release
	./node_modules/.bin/bump -y --$(1) package.json lib/chai.js
	make chai.js
	git add --force chai.js lib/chai.js package.json bower.json
	npm ls --depth=-1 --long . --loglevel silent | head -1 | git commit -F-
endef

release-patch:
	@$(call release,patch)

release-minor:
	@$(call release,minor)

release-major:
	@$(call release,major)

#
# Node Module
#

node_modules: package.json
	@npm install

#
# Tests
#

test: test-node test-phantom

test-node: node_modules
	@printf "==> [Test :: Node.js]\n"
	@NODE_ENV=test ./node_modules/.bin/mocha \
		--require ./test/bootstrap \
		--reporter $(REPORTER) \
		$(TESTS)

test-cov: node_modules
	@NODE_ENV=test ./node_modules/.bin/istanbul cover ./node_modules/.bin/_mocha -- \
		--require ./test/bootstrap \
		$(TESTS) \

test-phantom: clean-browser chai.js
	@printf "==> [Test :: Karma (PhantomJS)]\n"
	@./node_modules/karma/bin/karma start \
		--single-run --browsers PhantomJS

test-firefox: clean-browser chai.js
	@printf "==> [Test :: Karma (Firefox)]\n"
	@./node_modules/karma/bin/karma start \
		--browsers Firefox

test-sauce: clean-browser chai.js
	@printf "==> [Test :: Karma (Sauce)]\n"
	@CHAI_TEST_ENV=sauce ./node_modules/karma/bin/karma start \
		--single-run

test-travisci:
	@echo TRAVIS_JOB_ID $(TRAVIS_JOB_ID)
	@make test-cov
	@make test-sauce

#
# Clean up
#

clean: clean-node clean-browser clean-cov

clean-node:
	@rm -rf node_modules

clean-browser:
	@rm -f chai.js

clean-cov:
	@rm -rf coverage

#
# Instructions
#

.PHONY: all
.PHONY: test test-all test-node test-phantom test-sauce test-cov
.PHONY: clean clean-node clean-browser clean-cov
.PHONY: release-patch release-minor release-major

## node-chai 3.5.0%2Bdfsg

=== debian/control ===
Source: node-chai
Section: web
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Sruthi Chandran <srud@disroot.org>
 , Pirate Praveen <praveen@debian.org>
Build-Depends:
 debhelper (>= 9)
 , dh-buildinfo
 , nodejs
 , mocha
 , node-type-detect (>= 1.0.0)
 , node-assertion-error (>= 1.0.1)
 , node-deep-eql (>= 2.0~)
Standards-Version: 3.9.8
Homepage: http://chaijs.com
Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/node-chai.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/node-chai.git

Package: chai
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
 , node-type-detect (>= 1.0.0)
 , node-assertion-error (>= 1.0.1)
 , node-deep-eql (>= 2.0~)
Description: BDD/TDD assertion library for node.js and the browser.
 Chai is a BDD / TDD assertion library for [node](http://nodejs.org) and the
 browser that can be delightfully paired with any javascript testing framework.
 .
 This library is test framework agnostic.
 .
 Node.js is an event-based server-side JavaScript engine.

## node-chai 3.5.0+dfsg

=== debian/changelog ===
node-chai (3.5.0+dfsg-1) unstable; urgency=low

  [ Sruthi Chandran ]
  * Initial release (Closes: #843266)

  [ Shanavas M ]
  * Fix node-type-detect 4.0 compatibility with port-to-type-detect-4.0.patch

 -- Pirate Praveen <praveen@debian.org>  Sat, 05 Nov 2016 22:17:19 +0530

=== debian/tests/control ===
Tests: require
Depends: node-chai

Test-Command: make test
Depends: @, @builddeps@

=== debian/watch ===
version=3
opts=\
repacksuffix=+dfsg,\
repack,compression=xz,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-chai-$1.tar.gz/ \
 https://github.com/chaijs/chai/tags .*/archive/v?([\d\.]+).tar.gz

## node-chai 4.2.0+ds

=== debian/changelog ===
node-chai (4.2.0+ds-3) unstable; urgency=medium

  * Source upload
  * Package is now splitted (Closes: #917285)

 -- Bastien Roucariès <rouca@debian.org>  Tue, 01 Jan 2019 22:55:57 +0100

node-chai (4.2.0+ds-2) unstable; urgency=medium

  * Add myself as uploader
  * Per javascript policy split in chai and libjs-chai.
  * Minify javascript lib.

 -- Bastien Roucariès <rouca@debian.org>  Fri, 28 Dec 2018 16:02:18 +0100

node-chai (4.2.0+ds-1) unstable; urgency=medium

  * Team upload
  * Move to salsa
  * Bump compat and policy (no change)
  * New upstream version
  * Create javascript lib using webpack
  * Upload to unstable

 -- Bastien Roucariès <rouca@debian.org>  Tue, 25 Dec 2018 15:53:28 +0100

node-chai (4.1.2+dfsg-1) experimental; urgency=medium

  * New upstream release (Closes: #868319)
    - Fix FTBFS with nodejs 6.11.1 (Closes: #872533)
  * Remove port-to-type-detect-4.0.patch

 -- Sruthi Chandran <srud@disroot.org>  Thu, 26 Oct 2017 22:56:16 +0530

=== debian/control ===
Source: node-chai
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Sruthi Chandran <srud@disroot.org>
 , Bastien Roucariès <rouca@debian.org>
 , Pirate Praveen <praveen@debian.org>
Build-Depends:
 debhelper (>= 11)
 , dh-buildinfo
 , nodejs (>=4)
 , webpack (>= 3)
 , node-uglifyjs-webpack-plugin
 , mocha <!nocheck>
 , node-type-detect (>= 4.0.0) <!nocheck>
 , node-assertion-error (>= 1.0.1) <!nocheck>
 , node-deep-eql (>= 3.0~) <!nocheck>
 , node-check-error (>= 1.0.1) <!nocheck>
 , node-pathval (>= 1.0.0) <!nocheck>
 , node-get-func-name <!nocheck>
Standards-Version: 4.3.0
Homepage: http://chaijs.com
Vcs-Git: https://salsa.debian.org/js-team/node-chai.git
Vcs-Browser: https://salsa.debian.org/js-team/node-chai

Package: libjs-chai
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
 , nodejs (>= 4)
Recommends: javascript-common
Breaks: chai (<< 4.2.0+ds-2~)
Replaces: chai (<< 4.2.0+ds-2~)
Description: assertion library for the browser
 Chai is a BDD / TDD assertion library for Node.js and the
 browser that can be delightfully paired with any javascript testing framework.
 This library is test framework agnostic.
 .
 Test-driven development (TDD) is a software development process that relies
 on the repetition of a very short development cycle: requirements
 are turned into very specific test cases, then the software is improved
 to pass the new tests
 .
 BDD of Behavior-Driven Development is an extension of test-driven
 development that makes use of a simple, domain-specific scripting
 language (DSL). These DSLs convert structured natural language statements
 into executable tests.
 .
 This package includes the browser specific files.
 .
 Node.js is an event-based server-side JavaScript engine.

Package: chai
Architecture: all
Pre-Depends: dpkg (>= 1.17.14)
Depends:
 ${misc:Depends}
 , nodejs (>= 4)
 , node-type-detect (>= 4.0.0)
 , node-assertion-error (>= 1.0.1)
 , node-deep-eql (>= 3.0~)
 , node-check-error (>= 1.0.1)
 , node-pathval (>= 1.0.0)
 , node-get-func-name
 , libjs-chai (=${source:Version})
Provides: node-chai (=${source:Version})
Description: assertion library for Node.js
 Chai is a BDD / TDD assertion library for Node.js and the
 browser that can be delightfully paired with any javascript testing framework.
 This library is test framework agnostic.
 .
 Test-driven development (TDD) is a software development process that relies
 on the repetition of a very short development cycle: requirements
 are turned into very specific test cases, then the software is improved
 to pass the new tests
 .
 BDD of Behavior-Driven Development is an extension of test-driven
 development that makes use of a simple, domain-specific scripting
 language (DSL). These DSLs convert structured natural language statements
 into executable tests.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

WEBPACK=NODE_PATH='/usr/share/nodejs:/usr/lib/nodejs' webpack --verbose
CHAI_SRC=$(shell find lib -name "*.js" -type f | LC_ALL=C sort)

%:
	dh $@

chai.js: index.js $(CHAI_SRC)
	$(WEBPACK)  --config debian/webpack.config.js

override_dh_auto_build: chai.js

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
override_dh_auto_test:
	mocha -R spec --require ./test/bootstrap test/*.js
else
override_dh_auto_test:
	@echo '**********************************************************'
	@echo 'Skip test suite                                           '
	@echo '**********************************************************'
endif

override_dh_installchangelogs:
	dh_installchangelogs -k History.md

override_dh_installdocs:
	dh_installdocs --link-doc=libjs-chai

override_dh_auto_clean:
	rm -f chai.js
	rm -f chai.js.map
	rm -f chai.min.js
	rm -f chai.min.js.map

=== debian/tests/control ===
Tests: require
Depends: node-chai, nodejs (>= 6)

Test-Command: mocha -R spec --require ./test/bootstrap test/*.js
Depends: @, @builddeps@

=== debian/watch ===
--- 
+++ 
@@ -1,6 +1,6 @@
-version=3
+version=4
 opts=\
-repacksuffix=+dfsg,\
+repacksuffix=+ds,\
 repack,compression=xz,\
 dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
 filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-chai-$1.tar.gz/ \

## node-chai 4.2.0+ds+~4.2.14

=== debian/changelog ===
node-chai (4.2.0+ds+~4.2.14-4) unstable; urgency=medium

  * Team upload
  * Fix maintscript (Closes: #985288)

 -- Yadd <yadd@debian.org>  Mon, 15 Mar 2021 13:56:47 +0100

node-chai (4.2.0+ds+~4.2.14-3) unstable; urgency=medium

  * Team upload
  * Remove link between chai and libjs-chai (Closes: #982914)
  * Declare compliance with policy 4.5.1
  * Add ctype=nodejs to component(s)

 -- Yadd <yadd@debian.org>  Wed, 17 Feb 2021 07:28:36 +0100

node-chai (4.2.0+ds+~4.2.14-2) unstable; urgency=medium

  * Team upload
  * Stop using node-uglifyjs-webpack-plugin during build

 -- Yadd <yadd@debian.org>  Tue, 16 Feb 2021 07:05:33 +0100

node-chai (4.2.0+ds+~4.2.14-1) unstable; urgency=medium

  * Team upload
  * Bump debhelper compatibility level to 13
  * Use dh-sequence-nodejs
  * Embed @types/chai and repack
  * Add a break against node-typescript-types < 20201105-1~

 -- Xavier Guimard <yadd@debian.org>  Thu, 05 Nov 2020 11:07:53 +0100

node-chai (4.2.0+ds-6) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.4.1, no changes needed.

  [ Xavier Guimard ]
  * Declare compliance with policy 4.5.0
  * Add "Rules-Requires-Root: no"
  * Add debian/gbp.conf
  * Fix test for mocha ≥ 7
  * Update lintian overrides
  * Use pkg-js-tools auto test & install
  * Drop unneeded version constraints from (build) dependencies

 -- Xavier Guimard <yadd@debian.org>  Sat, 22 Feb 2020 13:22:30 +0100

node-chai (4.2.0+ds-5) unstable; urgency=medium

  * Reupload to unstable
  * Install in /usr/share/nodejs

 -- Pirate Praveen <praveen@debian.org>  Mon, 05 Aug 2019 05:17:43 +0000

node-chai (4.2.0+ds-4) experimental; urgency=medium

  * Build with webpack 4
  * Bump standards version to 4.4.0

 -- Pirate Praveen <praveen@debian.org>  Wed, 31 Jul 2019 17:13:08 +0000

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,28 @@
 Source: node-chai
+Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
+Uploaders:
+ Sruthi Chandran <srud@disroot.org>,
+ Bastien Roucariès <rouca@debian.org>,
+ Pirate Praveen <praveen@debian.org>
 Section: javascript
+Testsuite: autopkgtest-pkg-nodejs
 Priority: optional
-Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
-Uploaders: Sruthi Chandran <srud@disroot.org>
- , Bastien Roucariès <rouca@debian.org>
- , Pirate Praveen <praveen@debian.org>
 Build-Depends:
- debhelper (>= 11)
- , dh-buildinfo
- , nodejs (>=4)
- , webpack (>= 3)
- , node-uglifyjs-webpack-plugin
- , mocha <!nocheck>
- , node-type-detect (>= 4.0.0) <!nocheck>
- , node-assertion-error (>= 1.0.1) <!nocheck>
- , node-deep-eql (>= 3.0~) <!nocheck>
- , node-check-error (>= 1.0.1) <!nocheck>
- , node-pathval (>= 1.0.0) <!nocheck>
- , node-get-func-name <!nocheck>
-Standards-Version: 4.3.0
-Homepage: http://chaijs.com
+ debhelper-compat (= 13)
+ , mocha
+ , node-assertion-error
+ , node-check-error
+ , node-deep-eql (>= 3.0~)
+ , node-get-func-name
+ , node-pathval
+ , node-type-detect
+ , dh-sequence-nodejs
+ , webpack (>= 4~)
+Standards-Version: 4.5.1
+Vcs-Browser: https://salsa.debian.org/js-team/node-chai
 Vcs-Git: https://salsa.debian.org/js-team/node-chai.git
-Vcs-Browser: https://salsa.debian.org/js-team/node-chai
+Homepage: https://chaijs.com
+Rules-Requires-Root: no
 
 Package: libjs-chai
 Architecture: all
@@ -29,9 +30,12 @@
 Depends:
  ${misc:Depends}
  , nodejs (>= 4)
-Recommends: javascript-common
-Breaks: chai (<< 4.2.0+ds-2~)
-Replaces: chai (<< 4.2.0+ds-2~)
+Recommends:
+ javascript-common
+Breaks:
+ chai (<< 4.2.0+ds-2~)
+Replaces:
+ chai (<< 4.2.0+ds-2~)
 Description: assertion library for the browser
  Chai is a BDD / TDD assertion library for Node.js and the
  browser that can be delightfully paired with any javascript testing framework.
@@ -53,18 +57,19 @@
 
 Package: chai
 Architecture: all
-Pre-Depends: dpkg (>= 1.17.14)
 Depends:
  ${misc:Depends}
+ , node-assertion-error
+ , node-check-error
+ , node-deep-eql (>= 3.0~)
+ , node-get-func-name
+ , node-pathval
+ , node-type-detect
  , nodejs (>= 4)
- , node-type-detect (>= 4.0.0)
- , node-assertion-error (>= 1.0.1)
- , node-deep-eql (>= 3.0~)
- , node-check-error (>= 1.0.1)
- , node-pathval (>= 1.0.0)
- , node-get-func-name
- , libjs-chai (=${source:Version})
-Provides: node-chai (=${source:Version})
+Provides: ${misc:Depends}
+ , ${nodejs:provides}
+ , node-chai (=${source:Version})
+Breaks: node-typescript-types (<< 20201105-1~)
 Description: assertion library for Node.js
  Chai is a BDD / TDD assertion library for Node.js and the
  browser that can be delightfully paired with any javascript testing framework.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

WEBPACK=NODE_PATH='/usr/share/nodejs:/usr/lib/nodejs' webpack --verbose
CHAI_SRC=$(shell find lib -name "*.js" -type f | LC_ALL=C sort)

%:
	dh $@

chai.js: index.js $(CHAI_SRC)
	$(WEBPACK)  --config debian/webpack.config.js

override_dh_auto_build: chai.js

override_dh_auto_install:
	dh_auto_install --buildsystem=nodejs
	rm -rf debian/tmp/usr/share/nodejs/chai/dist

override_dh_installchangelogs:
	dh_installchangelogs -k History.md

=== debian/watch ===
version=4
opts=\
repacksuffix=+ds,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-chai-$1.tar.gz/ \
 https://github.com/chaijs/chai/tags .*/archive/v?([\d\.]+).tar.gz group

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,ctype=nodejs,component=types-chai,pgpmode=none" \
 https://registry.npmjs.org/@types/chai https://registry.npmjs.org/@types/chai/-/chai-([\d\.]+)@ARCHIVE_EXT@ group

## node-chai 4.3.6~ds1%2B~cs9.7.12

=== debian/control ===
Source: node-chai
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders:
 Sruthi Chandran <srud@disroot.org>,
 Bastien Roucariès <rouca@debian.org>,
 Pirate Praveen <praveen@debian.org>
Section: javascript
Testsuite: autopkgtest-pkg-nodejs
Priority: optional
Build-Depends: debhelper-compat (= 13)
 , dh-sequence-nodejs
 , gulp
 , mocha
 , node-assertion-error
 , node-browserify
 , node-check-error
 , node-deep-eql
 , node-get-func-name
 , node-gulp-babel
 , node-gulp-rename
 , node-gulp-wrap
 , node-pathval
 , node-rollup-plugin-babel
 , node-rollup-plugin-commonjs
 , node-rollup-plugin-node-resolve
 , node-type-detect
 , rollup
 , terser
 , webpack (>= 4~)
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/js-team/node-chai
Vcs-Git: https://salsa.debian.org/js-team/node-chai.git
Homepage: https://chaijs.com
Rules-Requires-Root: no

Package: chai
Architecture: all
Depends: ${misc:Depends}
 , node-assertion-error
 , node-check-error
 , node-deep-eql
 , node-get-func-name
 , node-pathval
 , node-type-detect
 , nodejs:any
Provides: ${misc:Depends}
 , ${nodejs:Provides}
 , node-chai (=${binary:Version})
Breaks: node-typescript-types (<< 20201105-1~)
Description: assertion library for Node.js
 Chai is a BDD / TDD assertion library for Node.js and the
 browser that can be delightfully paired with any javascript testing framework.
 This library is test framework agnostic.
 .
 Test-driven development (TDD) is a software development process that relies
 on the repetition of a very short development cycle: requirements
 are turned into very specific test cases, then the software is improved
 to pass the new tests
 .
 BDD of Behavior-Driven Development is an extension of test-driven
 development that makes use of a simple, domain-specific scripting
 language (DSL). These DSLs convert structured natural language statements
 into executable tests.
 .
 Node.js is an event-based server-side JavaScript engine.

Package: libjs-chai
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: javascript-common
Description: assertion library for the browser
 Chai is a BDD / TDD assertion library for Node.js and the
 browser that can be delightfully paired with any javascript testing framework.
 This library is test framework agnostic.
 .
 Test-driven development (TDD) is a software development process that relies
 on the repetition of a very short development cycle: requirements
 are turned into very specific test cases, then the software is improved
 to pass the new tests
 .
 BDD of Behavior-Driven Development is an extension of test-driven
 development that makes use of a simple, domain-specific scripting
 language (DSL). These DSLs convert structured natural language statements
 into executable tests.
 .
 This package includes the browser specific files.

## node-chai 4.3.6~ds1+~cs9.7.12

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,16 @@
 
+NODE_MAJOR_VERSION := $(firstword $(subst ., ,$(shell node --version)))
+
+ifeq ($(NODE_MAJOR_VERSION),v8)
 TESTS = test/*.js
+else ifeq ($(NODE_MAJOR_VERSION),v10)
+TESTS = test/*.js
+else ifeq ($(NODE_MAJOR_VERSION),v12)
+TESTS = test/*.js
+else
+TESTS = test/*.js test/*.mjs
+endif
+
 REPORTER = dot
 
 #
@@ -47,7 +58,7 @@
 # Tests
 #
 
-test: test-node test-phantom
+test: test-node test-chrome
 
 test-node: node_modules
 	@printf "==> [Test :: Node.js]\n"
@@ -61,10 +72,10 @@
 		--require ./test/bootstrap \
 		$(TESTS) \
 
-test-phantom: clean-browser chai.js
-	@printf "==> [Test :: Karma (PhantomJS)]\n"
+test-chrome: clean-browser chai.js
+	@printf "==> [Test :: Karma (chrome)]\n"
 	@./node_modules/karma/bin/karma start \
-		--single-run --browsers PhantomJS
+		--single-run --browsers HeadlessChrome
 
 test-firefox: clean-browser chai.js
 	@printf "==> [Test :: Karma (Firefox)]\n"
@@ -101,6 +112,6 @@
 #
 
 .PHONY: all
-.PHONY: test test-all test-node test-phantom test-sauce test-cov
+.PHONY: test test-all test-node test-chrome test-sauce test-cov
 .PHONY: clean clean-node clean-browser clean-cov
 .PHONY: release-patch release-minor release-major

=== debian/changelog ===
node-chai (4.3.6~ds1+~cs9.7.12-3) unstable; urgency=medium

  * Team upload
  * Explicitely export registers also for .mjs (Closes: #1008140)

 -- Yadd <yadd@debian.org>  Wed, 23 Mar 2022 09:15:31 +0100

node-chai (4.3.6~ds1+~cs9.7.12-2) unstable; urgency=medium

  * Team upload
  * Explicitly declare registers (Closes: #1005538)

 -- Yadd <yadd@debian.org>  Sun, 13 Feb 2022 12:27:42 +0100

node-chai (4.3.6~ds1+~cs9.7.12-1) unstable; urgency=medium

  * Team upload
  * Update repacksuffix
  * Embed loupe
  * New upstream version 4.3.6~ds1+~cs9.7.12
  * Update copyright
  * Update lintian overrides

 -- Yadd <yadd@debian.org>  Fri, 28 Jan 2022 17:35:09 +0100

node-chai (4.3.4+repack1+~cs7.3.33-2) unstable; urgency=medium

  * Add node-gulp-rename as b-d

 -- Bastien Roucariès <rouca@debian.org>  Thu, 04 Nov 2021 14:04:39 +0000

node-chai (4.3.4+repack1+~cs7.3.33-1) unstable; urgency=medium

  * Reimport source using repack suffix
  * Build fclone from source

 -- Bastien Roucariès <rouca@debian.org>  Wed, 03 Nov 2021 15:28:44 +0000

node-chai (4.3.4+ds+~cs7.3.33-1) unstable; urgency=medium

  * Embded fclone and chai-exclude

 -- Bastien Roucariès <rouca@debian.org>  Fri, 29 Oct 2021 09:45:17 +0000

node-chai (4.3.4~+ds+~4.2.22-1) unstable; urgency=medium

  * Team upload
  * New upstream version 4.3.4+ds+~4.2.22

 -- Yadd <yadd@debian.org>  Mon, 04 Oct 2021 11:56:42 +0200

node-chai (4.3.0+ds+~4.2.14-4) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Yadd ]
  * Provides node-types-chai

 -- Yadd <yadd@debian.org>  Mon, 04 Oct 2021 11:47:18 +0200

node-chai (4.3.0+ds+~4.2.14-3) unstable; urgency=medium

  * Team upload
  * Provides node-chai (fixes debci)
  * Declare compliance with policy 4.6.0

 -- Yadd <yadd@debian.org>  Sun, 05 Sep 2021 11:29:38 +0200

node-chai (4.3.0+ds+~4.2.14-2) unstable; urgency=medium

  * Team upload
  * Back to unstable
  * Set upstream metadata fields: Bug-Submit
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright)
  * Add ctype=nodejs to component(s)
  * Fix GitHub tags regex

 -- Yadd <yadd@debian.org>  Sun, 15 Aug 2021 12:04:05 +0200

node-chai (4.3.0+ds+~4.2.14-1) experimental; urgency=medium

  * Team upload
  * Declare compliance with policy 4.5.1
  * Add ctype=nodejs to component(s)
  * New upstream version 4.3.0+ds+~4.2.14
  * Drop all patches
  * Update test

 -- Yadd <yadd@debian.org>  Fri, 05 Feb 2021 10:30:21 +0100

## node-chai 4.3.7~ds1+~cs9.7.21

=== debian/changelog ===
node-chai (4.3.7~ds1+~cs9.7.21-1) unstable; urgency=medium

  * Team upload
  * New upstream version 4.3.7~ds1+~cs9.7.21

 -- Yadd <yadd@debian.org>  Fri, 25 Nov 2022 15:05:33 +0100

node-chai (4.3.6~ds1+~cs9.7.12-4) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.6.1
  * Add fix for rollup 3 (Closes: #1022595)

 -- Yadd <yadd@debian.org>  Tue, 25 Oct 2022 08:44:44 +0200

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
  , rollup
  , terser
  , webpack (>= 4~)
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/js-team/node-chai
 Vcs-Git: https://salsa.debian.org/js-team/node-chai.git
 Homepage: https://chaijs.com

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,11 @@
 chai.js: index.js $(CHAI_SRC)
 	$(WEBPACK)  --config debian/webpack.config.js
 
-override_dh_auto_build: chai.js
+override_dh_auto_build:
+	cd loupe && sh -e ../debian/nodejs/loupe/build
+	$(MAKE) chai.js
+	terser -o chai.min.js chai.js
+	cd fclone && sh -e ../debian/nodejs/fclone/build
 
 override_dh_auto_install:
 	dh_auto_install --buildsystem=nodejs

=== debian/watch ===
version=4
opts=\
repacksuffix=~ds1,\
dversionmangle=auto,\
filenamemangle=s%(?:.*?/)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1% \
 https://github.com/chaijs/chai/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@ group

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts=searchmode=plain,ctype=nodejs,component=types-chai,pgpmode=none,\
 filenamemangle=s%(?:.*?)?-?(@ANY_VERSION@@ARCHIVE_EXT@)%node-types-chai-$1% \
 https://registry.npmjs.org/@types/chai https://registry.npmjs.org/@types/chai/-/chai-@ANY_VERSION@@ARCHIVE_EXT@ checksum

opts=\
component=fclone,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s%(?:.*?/)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%node-fclone-$1% \
 https://github.com/soyuka/fclone/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@ checksum

opts=\
component=chai-exclude,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s%(?:.*?/)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%node-chai-exclude-$1% \
 https://github.com/mesaugat/chai-exclude/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@ checksum

opts=\
component=loupe,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-loupe-$1/ \
 https://github.com/chaijs/loupe/tags .*/archive.*/v?([\d\.]+).tar.gz checksum

## node-chai 6.0.1+~cs12.4.15

=== debian/changelog ===
node-chai (6.0.1+~cs12.4.15-1) experimental; urgency=medium

  * Team upload
  * Declare compliance with policy 4.7.2
  * debian/watch version 5
  * New upstream version 6.0.1+~cs12.4.15
  * Refresh patches
  * Update test
  * Build with esbuild

 -- Yadd <yadd@debian.org>  Sun, 24 Aug 2025 21:48:08 +0200

=== debian/control ===
--- 
+++ 
@@ -11,23 +11,21 @@
  , dh-sequence-nodejs
  , gulp
  , mocha
- , node-assertion-error
+ , node-assertion-error (>= 2.0.0-2~)
  , node-browserify
- , node-check-error
+ , node-check-error (>= 2.1)
  , node-deep-eql
+ , node-esbuild
  , node-get-func-name
  , node-gulp-babel
  , node-gulp-rename
  , node-gulp-wrap
  , node-pathval
- , node-rollup-plugin-babel
- , node-rollup-plugin-commonjs
- , node-rollup-plugin-node-resolve
  , node-type-detect
- , rollup
+ , node-typescript
  , terser
- , webpack (>= 4~)
-Standards-Version: 4.6.1
+ , webpack
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/js-team/node-chai
 Vcs-Git: https://salsa.debian.org/js-team/node-chai.git
 Homepage: https://chaijs.com
@@ -36,12 +34,6 @@
 Package: chai
 Architecture: all
 Depends: ${misc:Depends}
- , node-assertion-error
- , node-check-error
- , node-deep-eql
- , node-get-func-name
- , node-pathval
- , node-type-detect
  , nodejs:any
 Provides: ${misc:Depends}
  , ${nodejs:Provides}

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

WEBPACK=NODE_PATH='/usr/share/nodejs:/usr/lib/nodejs' webpack
CHAI_SRC=$(shell find lib -name "*.js" -type f | LC_ALL=C sort)

%:
	dh $@

override_dh_auto_build:
	cd loupe && sh -e ../debian/nodejs/loupe/build
	esbuild --bundle --format=esm --keep-names --outfile=index.js lib/chai.js
	esbuild --bundle --format=cjs --keep-names --outfile=index.cjs lib/chai.js
	$(WEBPACK)  --config debian/webpack.config.cjs
	(cd dist && terser -o chai.min.js chai.js && rm -f chai.js.LICENSE* || true)
	cd fclone && sh -e ../debian/nodejs/fclone/build

override_dh_auto_install:
	dh_auto_install --buildsystem=nodejs
	rm -rf debian/tmp/usr/share/nodejs/chai/dist

override_dh_installchangelogs:
	dh_installchangelogs -k History.md

=== debian/watch ===
Version: 5
Version-Schema: checksum

Template: Github
Owner: chaijs
Project: chai
Repacksuffix: ~ds1

Component: types-chai
Template: Npmregistry
Ctype: nodejs
Dist: @types/chai

Component: fclone
Template: Github
Ctype: nodejs
Owner: soyuka
Project: fclone

Component: chai-exclude
Template: Github
Ctype: nodejs
Owner: mesaugat
Project: chai-exclude

Component: loupe
Template: Github
Owner: chaijs
Project: loupe
